AutoCAD VB :: Select All Objects At A Particular Point

Jun 14, 2012

I'm trying to select all objects at a particular point, but using .SelectAtPoint appears to only return one entity, even though multiple lines are connected to the point.

Sub getSelection() Dim selection As AcadEntity Dim selPt As Variant ThisDrawing.Utility.GetEntity selection, selPt, "Select a segment..." Dim selStart As Variant selStart = selection.StartPoint Dim connSetStart As AcadSelectionSet Set connSetStart = ThisDrawing.SelectionSets.Add("ConnToStart") connSetStart.SelectAtPoint selStart Dim thing1 As Variant For Each thing1 In connSetStart Debug.Print "connSetStart: " & thing1.ObjectName Debug.Print "ID: " & thing1.ObjectID Next thing1 Debug.Print "#objs in startset: " & connSetStart.CountEnd Sub

View 3 Replies


ADVERTISEMENT

AutoCad :: Select Line Start / End Point That Is Known Distance From OSnap Point?

Jun 9, 2011

I'm trying to draw a plan of my house in Autocad 2009 but I seem to be endlessly using trim and extend because I can't easily select the points that I want with osnap. Eg. imagine I have a box, and I want to start drawing another box inside it that has each side as 10 units smaller than the corresponding side on the outer box.

Step 1 - I draw a small line from the top left corner of the big box using the endpoint snap, typing in "5" for the length.

Step 2 - I then do the same at right angles to the first line to get me to the starting point of the inner box. This always leaves me with 2 small lines to remember to delete.

Step 3 - Then in order to draw the top line of the inner box I end up drawing to a random length because I can't say "draw until 5 units away from the right hand side of the big box", then I end up trimming it later once I've repeated steps 1,2 and 3 for the next side of the inner box.

I know in my example above I could have scaled the box down or something but that's not what I'm getting at. I really want a way of selecting line start and end points that are a known position away from an existing point.

View 9 Replies View Related

AutoCAD 2013 :: Select Other Window When Select At Intersection Of Several Objects

Sep 5, 2013

I accidentally turned something on in Autocad, and I want it to go away, I have no idea what it's called or how to get it gone.  It's akin to the "select other" window in Inventor when you select at the intersection of several objects.

How do I make this go away?

View 2 Replies View Related

AutoCad :: Shift Select To Select Multiple Objects?

May 15, 2008

Right now, when i click one object and then another, the first object becomes deselected. Holding shift is the only way for me to select multiple lines right now (other than dragging of course) but that's not what I'm used to and it annoys me a lot. At first everything is fine but then after a while it does this without me changing any options at all.

View 9 Replies View Related

AutoCAD 2013 :: Select Objects Not Showing How Many Objects Found

May 2, 2013

A user is having problems when using the copy command in AutoCAD 2013.

When they select objects, its not reporting on the commandline how many objects its found or keeping a running total of objects selected. Not even any duplications...

I've tested it on my machine but i cannot replicate the issue and have never come across this before!

Is it a bug? Is it a variable? User setting etc.

View 9 Replies View Related

Photoshop :: Rounded Rectangle - Select One Point To Select Side

Dec 19, 2012

I work with shapes all day designing mobile apps. Thus, I'm constantly selecting and resizing rounded rectangles. When resizing I have to individually select all four points of a side to move it without distorting the rounded corners. I cannot click and drag, because that will activate any shapes underneath the one I want to select.
 
I'm looking for a plugin or alternative to easily select the entire side of a rounded rectangle. IE - I click one point on a side, and it auto selects all four points on that side, or the like.

View 3 Replies View Related

Photoshop :: Move Tool Auto Select Is Not Capturing Multiple Objects Upon Drag / Select

Jun 18, 2013

I know this discussion title is a bit murky, but the problem is a bit odd.  I have Photoshop CS6 v13.1.2.  In this version, I will activate the Select Tool, check Auto-Select: Layer, check Show Transform Controls, and then while using the Select Tool I will drag to create a rectangle to select multiple layers with content within the specified area. 

Unfortunately, this action only works when I begin the selection from outside of the canvas area.  If started from within the canvas area, no rectangle will appear, it will show me a measurement of my selection size, and then no layers will be selected upon release.
 
This cannot be working as intended right?  I mean multi-select dragging cannot be intended to only work when started outside of the canvas right?  Is there some way to fix this issue?  Is this a bug?  See the images below for more information on this issue.

View 5 Replies View Related

AutoCAD 2010 :: Not Able To Select Base Point

Sep 13, 2012

Having problem of trying to Move, Copy, Stretch etc an object and instead of being able to select a base point...Displacement (which is the default at the command prompt) is somehow selected and your object goes off to coordinate points?  It's probably just a setting or its my mouse, but I didn't change anything and I'm just starting to see the problem. 

View 2 Replies View Related

AutoCAD LT :: Can't Select Base Point For Scaling Object

Jul 23, 2013

I encounter this.... after i select object for scaling, can't select base point.

View 2 Replies View Related

AutoCAD Inventor :: How To Select Element Of Pick Point Through API

Apr 3, 2013

I am trying to understand how to select element of pick point through API.

I have found example in API manual, chapter "Interactive selection". Everything seems be clear but finally this example (and also others which I have found on web) doesnot work as I am expecting.

There is example:

Public Sub TestSelection() ' Create a new clsSelect object. Dim oSelect As New clsSelect ' Call the pick method of the clsSelect object and set ' the filter to pick any face. Dim oFace As Face Set oFace = oSelect.Pick(kPartFaceFilter) ' Check to make sure an object was selected. If Not oFace Is Nothing Then ' Display the area of the selected face.'''' there is cursor and content menu correct
[code]...

I am able to select face, during selection is cursor shown as arrow with plus symbol, content menu show correctly zoom and pan commands. Unfortunatelly when this selection is done and message box show the value, the cursor and content menu does not return to correct state. Cursor is still with plus and content menu with zoom&pan. I have found that problem is with messagebox, just before messagebox is shown the cursor and content menu return to correct state , but after messagebox is shown and closed, then cursor and content menu is wrong. Why?

Finally I need it for my addin in C#, is there and better way how to select item or input 2d point?

I use Inv 2013.

View 2 Replies View Related

AutoCAD .NET :: Select Attributes From Block - Point Selection

Jun 18, 2011

Is there a way to select attributes from a block if I pick a point inside the block?

View 6 Replies View Related

AutoCAD .NET :: Select Entity Or Pick Insertion Point?

Aug 4, 2011

know if there is a command which joins GetEnttiy() and GetPoint() functions. At the moment I'm using both commands one after another. Result I want would be one command where you can choose entity or select insertion point.

View 6 Replies View Related

AutoCAD 2013 :: Select Block And Have Only Insertion Point Showing

Oct 18, 2013

When I select a block, all points contained in the block are shown.  How do I turn this off?  I want to select the block and have only the insertion point showing.

View 1 Replies View Related

AutoCad :: Select All Objects On Certain Layer

Dec 27, 2011

Currently, when I'm converting architectural drawings into backgrounds for my use, one of the first things I do is select certain objects based on their layer and delete them en mass.

I'm using the QSelect dialog box at the moment, but that's really difficult. I would try writing a LISP or something, but I don't know of a command line version of the QS command to make it work.

Is there a way that I can select one object, and make it select all the other objects in the drawing that are on the same layer? The QS command is handy, but very tedious.

View 4 Replies View Related

AutoCad 2D :: Want To See Objects On Layers But Not Select Them

Nov 4, 2011

I have a drawing with a bunch of stuff on different layers. I want to be able to see the stuff on those layers but not select them. I know I can lock the layers but if I use a left crossing window to select objects it still grabs the stuff on the locked layer.

I could make a copy of all of it, move it to layer 0, freeze all the layers except 0, defpts, and the layer I am working on, then move the stuff to defpts and lock layer 0 and when I am all done delete everything on defpts and thaw everything.

View 9 Replies View Related

AutoCad :: Select Objects First And Then Run Command?

Oct 30, 2012

In general, we can select the objects first and then run a command. I have a problem with this, autocad wont let this in my PC. If i select objects and run a command, autocad wont take the selection and prompts to select objects. I work on PC in a company connected to server, but the problem is only on my PC.

View 6 Replies View Related

AutoCad :: Select All Objects From One Certain Layer?

May 11, 2011

Some questions of layers:

-here can I see visually which objects are deposited in the layers like in illustrator, see screenshot,

-is nesting of layers allowed

-what is the easiest way to swap objects from layer to layer

-how can I select all objects from one certain layer?

illustrator_layers.jpg

View 5 Replies View Related

AutoCad :: Join Command - Unable To Select All Polylines (Touching At One Point)

Oct 25, 2011

While i am using Join Command, I Could not able to select all polylines and also could not able to make those are join together (which those are touching at one point).

How to do the above funtion?

View 3 Replies View Related

AutoCAD LT :: Unable To Select Multiple Objects?

Aug 22, 2005

I've been having trouble selecting more than one object with the pointer. the program was just reloaded on the computer, but this problem has happened multiple times now. everything will work fine for a while, then suddenly, when trying to select objects during a command, i can only select one. (ex. trying to copy multiple lines, i can only select one to copy at a time).

View 9 Replies View Related

AutoCAD 2013 :: Select Multiple Objects

Sep 10, 2013

I have a lot of polylines that are all over a drawing from an outside source. Unfortunately the only unique properties about them are:

AREA = .14 sq in
PERIMETER = 1-11/32"

Everything is on the same layer, color by layer and are at the same elevation.

Any way to select just these closed polylnes? I tried quickselect but the AREA option did not work (it wouldn't except just the .14 value), and there is no apparent PERIMETER value to select.

View 3 Replies View Related

AutoCAD Architecture :: Select Objects Works Different Now?

May 23, 2012

I do not know what has changed but the select objects works differently now.  For example, when 3 lines are drawn and the erase command is selected.  I do a crossing window and the command line says 3 objects selected.  But when I do it again and only select 2 lines, it says 2 objects selected and the 3rd line is then unselected.  It used to say 2 objects selected and ignore but the total was 3. 

View 1 Replies View Related

AutoCAD Map 3D :: Select Objects Within Closed Polyline?

May 23, 2011

Is there a way to select objects within a closed polyline? I thought there was but I can't remember how to do it.

View 2 Replies View Related

AutoCAD LT :: Select Objects As SINGLE OBJECT

Nov 5, 2013

STEPS: Group > Select Ojbects

PROBLEM: When I go to select the objects as as a SINGLE OBJECT, each object within the group is selectable -- as if they were not grouped.Shouldn't it be that when I select ANY of the objects within the group ALL OBJECTS in the group get  selected, and not just each object?

View 4 Replies View Related

AutoCad :: Use Copy Command To Select New Objects

Feb 23, 2013

Is there any way to use the copy command in such a way that the new objects are selected when I'm done copying? Perhaps a LISP of some kind?

View 6 Replies View Related

AutoCad :: Select Certain Objects Within Drawing And Label

Apr 25, 2012

I've created my drawing but now I need to select certain objects within the drawing & label them as a certain layer.

View 3 Replies View Related

AutoCad :: How To Select All Objects Enclosed In Polyline

Mar 30, 2011

Im practicing for my CAD certification test and im trying to select all objects inclosed in a poly line. Right now i have a bunch of random circles and a random figure drawn in the middle of a bunch of circles. How do i select ONLY the circles that are completely in the object?

P.S. I would add a picture but i don't know how to take a screenshot on windows xp.

View 9 Replies View Related

AutoCad 2D :: Viewport And Select Few Objects - Viewlocked

Jan 17, 2014

First I click in my viewport and select a few objects (lines/blocks etc) then whenever I type Pan or hold down my center mouse button to Pan. The Command line says the Viewport is viewlocked switching to paper space.

Now by switching to paper space everything I selected has now unselected. This basically leaves me the option to select what I see on the screen at one time and can't pan along and select anything else which is unbelievably frustrating on large drawings.

View 9 Replies View Related

AutoCAD Civil 3D :: Isolating Point Objects

Aug 22, 2013

I am in the process of setting up Civil 3D styles for survey and trying to overcome some challenges that are a great source of frusteration.  The key items I am trying to accomplish are as follows:

 Be able to isolate all points on a layer (sorted individually by descriptor key matching to V-NODE-XXXX) WITHOUT the use of point groups.  I see point groups as a very inefficient way to do this.  I want to be able to select Layiso, grab one point and have full display of all points on that node layer and start connecting the dots.Be able to control node layer display individually (ie. all topo points gray, found points green, control pink, etc)Setup a quick toggle to turn off display of all points and basic markers except those which have a symbol assigned to them and should be shown on the map.

I have everything working the way I want with the exception of being able to use layiso to display all points on a layer.  Currently my point label styles are set to layer 0 byblock which passes display to the point object.  I have created a layer called V-NODE-HIDE that I set as the layer for non-symbol markers and all point labels.  Point markers that are symbols that should be displayed on a map are put on their associated V-TOPO-XXX-SYMB layer.  When finished mapping I want to be able to type "PH" (Point Hide) and hide all point labels and basic markers by freezing V-NODE-HIDE.  The issue is that because point objects, labels and markers are on different layers, when I isolate a single point, everything disappears.

Is there a lisp routine that will extract all layers from sub-components of a Civil 3D object and add those layers to the isolate?  This would solve my issue and give me all of the functionality I am looking for.  I have seen several discussions along this line on the forums, but not a solution that fits my needs.  I am open for pretty much any suggestion other than I need to have a point group created for every single descriptor I have and have to move groups up and down the hierarchy to get the display I need.  It is just too inefficient.

View 9 Replies View Related

AutoCAD Visual LISP / AutoLISP :: Using Insertion Point To Select Line Rather Than Using Entsel

Aug 12, 2013

We have been modifying a trim-around-block routine to have as few clicks as possible and though it feels like we'd be able to have the line to be broken auto-selected based off of the insertionpoint that was set as a variable.

;(setq pnt1 (getvar "lastpoint")
;      sst1 (osnap pnt1 "nea")
;end setq

;(setq ss (ssget '((0 . "LWPOLYLINE")))) ; limited to Polylines
; (while (> (sslength ss) 0) ; as long as there's anything in [or remaining in] the selection set))
; (setq ent (ssname ss 0)
; paramcount 1
; ) ; first entity in [or remaining in] the selection set paramcount 1); end setq
 
are about the closest snippets of code that we've managed to find but neither of these are working.

How we can force the program to break the line without the user having to select the line (because they will have already selected the insertpoint, and using osnap nearest would find the line that requires breaking)

View 9 Replies View Related

AutoCAD Inventor :: Access Objects Available To Select Other Command

Jun 20, 2013

I am writing an add-in for Inventor 2010 where I need to get the list of entities/objects that are available through Inventor's "Select Other" functionality via the user Interface. I have looked through the list of selection tools in the API and none of them seem on the surface to be what I need.

View 3 Replies View Related

AutoCAD 2010 :: Won't Allow To Select Objects Underneath ViewCube

Feb 27, 2012

We still do all of our AutoCAD drafting in 2-D.So we don't need the ViewCube.It gets in the way and won't let us select objects underneath the ViewCube.

It is easy to turn it off by going to User Interface.BUT, is there a way to turn it off as the default.The drawing I'm in right now has the ViewCube in half of the Viewports.

View 2 Replies View Related







Copyrights 2005-15 www.BigResource.com, All rights reserved